package body Arithmetic is
------------------------------------------------------------------------------
-- X Library Tool Types
--
-- Arithmetic - Machine/Compiler dependent numeric types.
------------------------------------------------------------------------------
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.
--
--                  All Rights Reserved.
--
-- Permission to use, copy, modify, and distribute this software and its
-- documentation for any purpose and without fee is hereby granted,
-- provided that the above copyright notice(s) appear in all copies and that
-- both that copyright notice(s) and this permission notice appear in
-- supporting documentation, and that the name of Rational not be used in
-- advertising or publicity pertaining to distribution of the software
-- without specific, written prior permission.
--
-- Rational disclaims all warranties with regard to this software, including
-- all implied warranties of merchantability and fitness, in no event shall
-- Rational be liable for any special, indirect or consequential damages or
-- any damages whatsoever resulting from loss of use, data or profits, whether
-- in an action of contract, negligence or other tortious action, arising out
-- of or in connection with the use or performance of this software.
------------------------------------------------------------------------------

--
    function Max (A : S_Long;  
                  B : S_Long) return S_Long is
        ----Simple MAX function.
    begin
        if A > B then
            return A;
        else
            return B;
        end if;
    end Max;

--
    function Min (A : S_Long;  
                  B : S_Long) return S_Long is
        ----Simple MIN function.
    begin
        if A < B then
            return A;
        else
            return B;
        end if;
    end Min;

--
--     function Max (A : U_Long;
--                   B : U_Long)
--                  return U_Long is
--         ----Simple MAX function.
--     begin
--         if A > B then
--             return A;
--         else
--             return B;
--         end if;
--     end Max;
--
-- --
--     function Min (A : U_Long;
--                   B : U_Long)
--                  return U_Long is
--         ----Simple MIN function.
--     begin
--         if A < B then
--             return A;
--         else
--             return B;
--         end if;
--     end Min;
--
--
    function Max (A : S_Short;  
                  B : S_Short) return S_Short is
        ----Simple MAX function.
    begin
        if A > B then
            return A;
        else
            return B;
        end if;
    end Max;

--
    function Min (A : S_Short;  
                  B : S_Short) return S_Short is
        ----Simple MIN function.
    begin
        if A < B then
            return A;
        else
            return B;
        end if;
    end Min;

--
    function Max (A : U_Short;  
                  B : U_Short) return U_Short is
        ----Simple MAX function.
    begin
        if A > B then
            return A;
        else
            return B;
        end if;
    end Max;

--
    function Min (A : U_Short;  
                  B : U_Short) return U_Short is
        ----Simple MIN function.
    begin
        if A < B then
            return A;
        else
            return B;
        end if;
    end Min;

--
    function Max (A : S_Char;  
                  B : S_Char) return S_Char is
        ----Simple MAX function.
    begin
        if A > B then
            return A;
        else
            return B;
        end if;
    end Max;

--
    function Min (A : S_Char;  
                  B : S_Char) return S_Char is
        ----Simple MIN function.
    begin
        if A < B then
            return A;
        else
            return B;
        end if;
    end Min;

--
    function Max (A : U_Char;  
                  B : U_Char) return U_Char is
        ----Simple MAX function.
    begin
        if A > B then
            return A;
        else
            return B;
        end if;
    end Max;

--
    function Min (A : U_Char;  
                  B : U_Char) return U_Char is
        ----Simple MIN function.
    begin
        if A < B then
            return A;
        else
            return B;
        end if;
    end Min;

--
end Arithmetic;
