with Xlbt_Basic;  
use Xlbt_Basic;  
with Xlbt_Hint;  
use Xlbt_Hint;  

package Icon is  
------------------------------------------------------------------------------  
-- Dragon - a version of Mah-Jongg for X Windows  
--  
-- Author: Gary E. Barnes        March 1989  
--  
-- icon.c - Deals with our icon.  Setup and execution.  
------------------------------------------------------------------------------  
-- 05/30/90 GEB  - Translate to Ada  
------------------------------------------------------------------------------  

    procedure Icon_Setup (Wm_Hints : in out X_Wm_Hints);  
------------------------------------------------------------------------------  
--  Wm_Hints    - Specifies an X_Wm_Hints structure to modify, it receives  
--                  either an Icon_Pixmap or an Icon_Window as appropriate.  
--  
-- Called to handle all of the Icon setup for our main shell.  
------------------------------------------------------------------------------  

    procedure Icon_Expose (Window : X_Window; Event : X_Event);  
------------------------------------------------------------------------------  
--  Window  - Specifies the window that got the event  
--  Event   - Specifies the event that was received  
--  
-- Called when our Icon window receives an Expose event.  This is only called  
-- when we are using an Icon window.  If we managed to use an Icon pixmap then  
-- this routine is not called at all.  
------------------------------------------------------------------------------  

end Icon;  

