package Xlbmt_Error_Log is  
------------------------------------------------------------------------------  
-- X Library Error Log  
--  
-- Xlbmt_Error_Log - Used internally by the X Library to "log" error messages.  
-- Each target machine/operating-system will have it's own conventions  
-- so these are isolated to this package.  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the name of Rational not be used in  
-- advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- Rational disclaims all warranties with regard to this software, including  
-- all implied warranties of merchantability and fitness, in no event shall  
-- Rational be liable for any special, indirect or consequential damages or  
-- any damages whatsoever resulting from loss of use, data or profits, whether  
-- in an action of contract, negligence or other tortious action, arising out  
-- of or in connection with the use or performance of this software.  
------------------------------------------------------------------------------  

--
------------------------------------------------------------------------------  
-- X_Report_Message_Kind - The kinds of different messages we can report.  
------------------------------------------------------------------------------  

    type X_Report_Message_Kind is  
       (Report_Information,  
        Report_Warning,  
        Report_Error,  
        Report_Exception,  
        Report_Fatal);  

end Xlbmt_Error_Log;  

