with Xlbt_Arithmetic;  
use Xlbt_Arithmetic;  
with Xlbt_Basic3;  
use Xlbt_Basic3;  
with Xlbt_Graphics3;  
use Xlbt_Graphics3;  

with Xlbmp_Generic_Converters;  
use Xlbmp_Generic_Converters;  

package Xlbip_Graphic_Converters is  
------------------------------------------------------------------------------  
-- X Library Internal Graphic/Drawing Request Converters  
--  
-- Xlbip_Graphic_Converters - Conversions to/from system data types.  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the name of Rational not be used in  
-- advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- Rational disclaims all warranties with regard to this software, including  
-- all implied warranties of merchantability and fitness, in no event shall  
-- Rational be liable for any special, indirect or consequential damages or  
-- any damages whatsoever resulting from loss of use, data or profits, whether  
-- in an action of contract, negligence or other tortious action, arising out  
-- of or in connection with the use or performance of this software.  
------------------------------------------------------------------------------  

--
    procedure To_Raw is  
       new Convert_Discrete_To_Raw (X_Pixel);  
--    procedure From_Raw is  
--       new Convert_Raw_To_Discrete (X_Pixel);  

    procedure To_Raw is  
       new Convert_Private_To_Raw (X_Arc);  

    procedure To_Raw is new Convert_Array_To_Raw (X_Arc,  
                                                  S_Natural,  
                                                  X_Arc_Array);  

    procedure To_Raw is  
       new Convert_Private_To_Raw (X_Point);  

    procedure To_Raw is new Convert_Array_To_Raw (X_Point,  
                                                  S_Natural,  
                                                  X_Point_Array);  
--  
    procedure To_Raw is  
       new Convert_Private_To_Raw (X_Rectangle);  

    procedure To_Raw is new Convert_Array_To_Raw (X_Rectangle,  
                                                  S_Natural,  
                                                  X_Rectangle_Array);  
--  
    procedure To_Raw is new Convert_Private_To_Raw (X_Segment);  

    procedure To_Raw is new Convert_Array_To_Raw (X_Segment,  
                                                  S_Natural,  
                                                  X_Segment_Array);  

end Xlbip_Graphic_Converters;  

