with Xlbit_Hint3;  

package Xlbit_Hint2 is  
------------------------------------------------------------------------------  
-- X Library Window Manager Hints - Extended User Interface  
--  
-- Xlbit_Hint2 - Protocol structures used to give hints to window managers.  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1987 - 1989 by Digital Equipment Corporation, Maynard, Mass.  
-- Copyright 1987 - 1989 by Massachusetts Institute of Technology,  
--                          Cambridge, Massachusetts.  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of Digital, MIT, or Rational  
-- not be used in advertising or publicity pertaining to distribution of  
-- the software without specific, written prior permission.  
--  
-- Digital, MIT, and Rational disclaim all warranties with regard to this  
-- software, including all implied warranties of merchantability and fitness,  
-- in no event shall Digital, MIT, or Rational be liable for any special,  
-- indirect or consequential damages or any damages whatsoever resulting from  
-- loss of use, data or profits, whether in an action of contract, negligence  
-- or other tortious action, arising out of or in connection with the use or  
-- performance of this software.  
------------------------------------------------------------------------------  

    package H3 renames Xlbit_Hint3;  

--
------------------------------------------------------------------------------  
-- X_Size_Hints_Protocol - The actual protocol record.  This is for use when  
-- performing I/O requests with the server.  These types are not intended for  
-- use by user/application code.  
------------------------------------------------------------------------------  

    subtype X_Size_Hints_Gravity is H3.X_Size_Hints_Gravity;  

    None_X_Size_Hints_Gravity : X_Size_Hints_Gravity  
        renames H3.None_X_Size_Hints_Gravity;  

    subtype X_Size_Hints_Protocol is H3.X_Size_Hints_Protocol;  

--
end Xlbit_Hint2;  

