with Xlbt_Arithmetic;  
use Xlbt_Arithmetic;  

package Xlbit_Unused is  
------------------------------------------------------------------------------  
-- X Library Internal Record Padding Types  
--  
-- Xlbit_Unused - Types used to only specify padding in protocol packet types.  
-- The index values and index types are unimportant.  Only the size of these  
-- types matters.  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
    type X_Unused_4  is array (Natural range 1 .. 4) of U_Char;  
    type X_Unused_5  is array (Natural range 1 .. 5) of U_Char;  
    type X_Unused_8  is array (Natural range 1 .. 8) of U_Char;  
    type X_Unused_9  is array (Natural range 1 .. 9) of U_Char;  
    type X_Unused_11 is array (Natural range 1 .. 11) of U_Char;  
    type X_Unused_14 is array (Natural range 1 .. 14) of U_Char;  
    type X_Unused_15 is array (Natural range 1 .. 15) of U_Char;  
    type X_Unused_16 is array (Natural range 1 .. 16) of U_Char;  
    type X_Unused_18 is array (Natural range 1 .. 18) of U_Char;  
    type X_Unused_19 is array (Natural range 1 .. 19) of U_Char;  
    type X_Unused_20 is array (Natural range 1 .. 20) of U_Char;  
    type X_Unused_21 is array (Natural range 1 .. 21) of U_Char;  
    type X_Unused_23 is array (Natural range 1 .. 23) of U_Char;  
    type X_Unused_25 is array (Natural range 1 .. 25) of U_Char;  

--/ if Length_Clauses then  
    for X_Unused_4'Size use 4 * 8;  
    for X_Unused_5'Size use 5 * 8;  
    for X_Unused_8'Size use 8 * 8;  
    for X_Unused_9'Size use 9 * 8;  
    for X_Unused_11'Size use 11 * 8;  
    for X_Unused_14'Size use 14 * 8;  
    for X_Unused_15'Size use 15 * 8;  
    for X_Unused_16'Size use 16 * 8;  
    for X_Unused_18'Size use 18 * 8;  
    for X_Unused_19'Size use 19 * 8;  
    for X_Unused_20'Size use 20 * 8;  
    for X_Unused_21'Size use 21 * 8;  
    for X_Unused_23'Size use 23 * 8;  
    for X_Unused_25'Size use 25 * 8;  
--/ elsif Pack then  
    pragma Pack (X_Unused_4);  
    pragma Pack (X_Unused_5);  
    pragma Pack (X_Unused_8);  
    pragma Pack (X_Unused_9);  
    pragma Pack (X_Unused_11);  
    pragma Pack (X_Unused_14);  
    pragma Pack (X_Unused_15);  
    pragma Pack (X_Unused_16);  
    pragma Pack (X_Unused_18);  
    pragma Pack (X_Unused_19);  
    pragma Pack (X_Unused_20);  
    pragma Pack (X_Unused_21);  
    pragma Pack (X_Unused_23);  
    pragma Pack (X_Unused_25);  
--/ end if;  

end Xlbit_Unused;  

