with Xlbt_Visual3;  

package Xlbt_Visual2 is  
------------------------------------------------------------------------------  
-- X Library Visuals - Extended User Interface  
--  
-- Xlbt_Visual2 - Types dealing with Visual Display Types supported by a  
-- display.  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1987 - 1989 by Digital Equipment Corporation, Maynard, Mass.  
-- Copyright 1987 - 1989 by Massachusetts Institute of Technology,  
--                          Cambridge, Massachusetts.  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of Digital, MIT, or Rational  
-- not be used in advertising or publicity pertaining to distribution of  
-- the software without specific, written prior permission.  
--  
-- Digital, MIT, and Rational disclaim all warranties with regard to this  
-- software, including all implied warranties of merchantability and fitness,  
-- in no event shall Digital, MIT, or Rational be liable for any special,  
-- indirect or consequential damages or any damages whatsoever resulting from  
-- loss of use, data or profits, whether in an action of contract, negligence  
-- or other tortious action, arising out of or in connection with the use or  
-- performance of this software.  
------------------------------------------------------------------------------  

--
    package V3 renames Xlbt_Visual3;  

------------------------------------------------------------------------------  
-- Visual structure; contains information about colormapping possibilities.  
------------------------------------------------------------------------------  

    subtype X_Visual_Rec   is V3.X_Visual_Rec;  
    subtype X_Visual_Array is V3.X_Visual_Array;  

------------------------------------------------------------------------------  
-- X_Visual_Info  
------------------------------------------------------------------------------  

    subtype X_Visual_Info_Array is V3.X_Visual_Info_Array;  

end Xlbt_Visual2;  

