with Xlbt_Proc_Var;  
use Xlbt_Proc_Var;  
with Xlbt_String;  
use Xlbt_String;  

with Test_Io;  
use Test_Io;  

with Exe_100;  
use Exe_100;  

package body Exe_101_Pk is  

------------------------------------------------------------------------------  
-- Test Procedure Variables - for Procedure types  
------------------------------------------------------------------------------  

--
    package Test_Access_Type is  
        procedure Zot;  
    end Test_Access_Type;  

    package body Test_Access_Type is  
        Arg1 : Access_Type;  
        Arg2 : Access_Type;  

        package Access_Type_Test_Proc_Inout is  
           new Test_Proc_Inout (Access_Type, Arg1);  
        package Access_Type_Test_Proc_In is new Test_Proc_In (Access_Type);  
        package Access_Type_Test_Proc_In_In is  
           new Test_Proc_In_In (Access_Type, Access_Type);  
        package Access_Type_Test_Proc_In_In_In is  
           new Test_Proc_In_In_In (Access_Type, Access_Type, Access_Type);  
        package Access_Type_Test_Proc_In_In_In_In is  
           new Test_Proc_In_In_In_In (Access_Type, Access_Type,  
                                      Access_Type, Access_Type);  
        package Access_Type_Test_Proc_In10 is  
           new Test_Proc_In10 (Access_Type, Access_Type, Access_Type,  
                               Access_Type, Access_Type, Access_Type,  
                               Access_Type, Access_Type,  
                               Access_Type, Access_Type);  
        package Access_Type_Test_Proc_In_In_In_Out_Out is  
           new Test_Proc_In_In_In_Out_Out  
                  (Access_Type, Access_Type, Access_Type,  
                   Access_Type, Access_Type, Arg1, Arg2);  
        package Access_Type_Test_Proc_In_In_Out_Out is  
           new Test_Proc_In_In_Out_Out (Access_Type, Access_Type, Access_Type,  
                                        Access_Type, Arg1, Arg2);  
        procedure Zot is  
        begin  
            Access_Type_Test_Proc_Inout.Zot;  
            Access_Type_Test_Proc_In.Zot;  
            Access_Type_Test_Proc_In_In.Zot;  
            Access_Type_Test_Proc_In_In_In.Zot;  
            Access_Type_Test_Proc_In_In_In_In.Zot;  
            Access_Type_Test_Proc_In10.Zot;  
            Access_Type_Test_Proc_In_In_In_Out_Out.Zot;  
            Access_Type_Test_Proc_In_In_Out_Out.Zot;  
        end Zot;  

    end Test_Access_Type;  

--
    procedure Test_Procedure_Variable is  
    begin  

        Test_Access_Type.Zot;  

        Put_Line ("Exe_101 is done.");  

    end Test_Procedure_Variable;  

end Exe_101_Pk;  

