with Xlbt_Proc_Var;  
use Xlbt_Proc_Var;  
with Xlbt_String;  
use Xlbt_String;  

with Test_Io;  
use Test_Io;  

with Exe_100;  
use Exe_100;  

package body Exe_103_Pk is  

------------------------------------------------------------------------------  
-- Test Procedure Variables - for Procedure types  
------------------------------------------------------------------------------  

--
    package Test_Boolean_Type is  
        procedure Zot;  
    end Test_Boolean_Type;  

    package body Test_Boolean_Type is  

        Arg1 : Boolean_Type;  
        Arg2 : Boolean_Type;  

        package Boolean_Type_Test_Proc_Inout is  
           new Test_Proc_Inout (Boolean_Type, Arg1);  
        package Boolean_Type_Test_Proc_In is new Test_Proc_In (Boolean_Type);  
        package Boolean_Type_Test_Proc_In_In is  
           new Test_Proc_In_In (Boolean_Type, Boolean_Type);  
        package Boolean_Type_Test_Proc_In_In_In is  
           new Test_Proc_In_In_In (Boolean_Type, Boolean_Type, Boolean_Type);  
        package Boolean_Type_Test_Proc_In_In_In_In is  
           new Test_Proc_In_In_In_In (Boolean_Type, Boolean_Type,  
                                      Boolean_Type, Boolean_Type);  
        package Boolean_Type_Test_Proc_In10 is  
           new Test_Proc_In10 (Boolean_Type, Boolean_Type, Boolean_Type,  
                               Boolean_Type, Boolean_Type, Boolean_Type,  
                               Boolean_Type, Boolean_Type,  
                               Boolean_Type, Boolean_Type);  
        package Boolean_Type_Test_Proc_In_In_In_Out_Out is  
           new Test_Proc_In_In_In_Out_Out  
                  (Boolean_Type, Boolean_Type, Boolean_Type,  
                   Boolean_Type, Boolean_Type, Arg1, Arg2);  
        package Boolean_Type_Test_Proc_In_In_Out_Out is  
           new Test_Proc_In_In_Out_Out (Boolean_Type, Boolean_Type,  
                                        Boolean_Type, Boolean_Type, Arg1, Arg2);  

        procedure Zot is  
        begin  
            Boolean_Type_Test_Proc_Inout.Zot;  
            Boolean_Type_Test_Proc_In.Zot;  
            Boolean_Type_Test_Proc_In_In.Zot;  
            Boolean_Type_Test_Proc_In_In_In.Zot;  
            Boolean_Type_Test_Proc_In_In_In_In.Zot;  
            Boolean_Type_Test_Proc_In10.Zot;  
            Boolean_Type_Test_Proc_In_In_In_Out_Out.Zot;  
            Boolean_Type_Test_Proc_In_In_Out_Out.Zot;  
        end Zot;  

    end Test_Boolean_Type;  

--
    procedure Test_Procedure_Variable is  
    begin  

        Test_Boolean_Type.Zot;  

        Put_Line ("Exe_103 is done.");  

    end Test_Procedure_Variable;  

end Exe_103_Pk;  

