with Xlbt_Proc_Var;  
use Xlbt_Proc_Var;  
with Xlbt_String;  
use Xlbt_String;  

with Test_Io;  
use Test_Io;  

with Exe_100;  
use Exe_100;  

package body Exe_105_Pk is  

------------------------------------------------------------------------------  
-- Test Procedure Variables - for Procedure types  
------------------------------------------------------------------------------  

--
    package Test_Float_Type is  
        procedure Zot;  
    end Test_Float_Type;  

    package body Test_Float_Type is  

        Arg1 : Float_Type;  
        Arg2 : Float_Type;  

        package Float_Type_Test_Proc_Inout is  
           new Test_Proc_Inout (Float_Type, Arg1);  
        package Float_Type_Test_Proc_In is new Test_Proc_In (Float_Type);  
        package Float_Type_Test_Proc_In_In is  
           new Test_Proc_In_In (Float_Type, Float_Type);  
        package Float_Type_Test_Proc_In_In_In is  
           new Test_Proc_In_In_In (Float_Type, Float_Type, Float_Type);  
        package Float_Type_Test_Proc_In_In_In_In is  
           new Test_Proc_In_In_In_In  
                  (Float_Type, Float_Type, Float_Type, Float_Type);  
        package Float_Type_Test_Proc_In10 is  
           new Test_Proc_In10 (Float_Type, Float_Type, Float_Type, Float_Type,  
                               Float_Type, Float_Type, Float_Type,  
                               Float_Type, Float_Type, Float_Type);  
        package Float_Type_Test_Proc_In_In_In_Out_Out is  
           new Test_Proc_In_In_In_Out_Out (Float_Type, Float_Type, Float_Type,  
                                           Float_Type, Float_Type, Arg1, Arg2);  
        package Float_Type_Test_Proc_In_In_Out_Out is  
           new Test_Proc_In_In_Out_Out  
                  (Float_Type, Float_Type, Float_Type, Float_Type, Arg1, Arg2);  

        procedure Zot is  
        begin  
            Float_Type_Test_Proc_Inout.Zot;  
            Float_Type_Test_Proc_In.Zot;  
            Float_Type_Test_Proc_In_In.Zot;  
            Float_Type_Test_Proc_In_In_In.Zot;  
            Float_Type_Test_Proc_In_In_In_In.Zot;  
            Float_Type_Test_Proc_In10.Zot;  
            Float_Type_Test_Proc_In_In_In_Out_Out.Zot;  
            Float_Type_Test_Proc_In_In_Out_Out.Zot;  
        end Zot;  

    end Test_Float_Type;  

--
    procedure Test_Procedure_Variable is  
    begin  

        Test_Float_Type.Zot;  

        Put_Line ("Exe_105 is done.");  

    end Test_Procedure_Variable;  

end Exe_105_Pk;  

