package Error_Report is
------------------------------------------------------------------------------
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.
--
--                  All Rights Reserved.
--
-- Permission to use, copy, modify, and distribute this software and its
-- documentation for any purpose and without fee is hereby granted,
-- provided that the above copyright notice(s) appear in all copies and that
-- both that copyright notice(s) and this permission notice appear in
-- supporting documentation, and that the name of Rational not be used in
-- advertising or publicity pertaining to distribution of the software
-- without specific, written prior permission.
--
-- Rational disclaims all warranties with regard to this software, including
-- all implied warranties of merchantability and fitness, in no event shall
-- Rational be liable for any special, indirect or consequential damages or
-- any damages whatsoever resulting from loss of use, data or profits, whether
-- in an action of contract, negligence or other tortious action, arising out
-- of or in connection with the use or performance of this software.
------------------------------------------------------------------------------

    procedure Error       (Msg : String);
    procedure Warning     (Msg : String);
    procedure Information (Msg : String);
------------------------------------------------------------------------------
-- These are called to produce messages of the indicated kind.  They are
-- sent to Standard_Output.
------------------------------------------------------------------------------

    procedure There_Were_Errors (Yes : Boolean);
    function  There_Were_Errors return Boolean;
------------------------------------------------------------------------------
-- Routines to set or to test the flag that records whether or not the Error
-- routine has ever been called; initially False.
------------------------------------------------------------------------------

end Error_Report;
