with Xlbt_Error;  
use Xlbt_Error;  

with Xlbmp_Generic_Converters;  
use Xlbmp_Generic_Converters;  

package Xlbip_Error_Converters is  
------------------------------------------------------------------------------  
-- X Library Internal X_Error/X_Raw_Data Conversions  
--  
-- Xlbip_Error_Converters - Conversions to/from system data types.  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the name of Rational not be used in  
-- advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- Rational disclaims all warranties with regard to this software, including  
-- all implied warranties of merchantability and fitness, in no event shall  
-- Rational be liable for any special, indirect or consequential damages or  
-- any damages whatsoever resulting from loss of use, data or profits, whether  
-- in an action of contract, negligence or other tortious action, arising out  
-- of or in connection with the use or performance of this software.  
------------------------------------------------------------------------------  

--
------------------------------------------------------------------------------  
-- X_Error conversion routines.  
------------------------------------------------------------------------------  

    procedure From_Raw is  
       new Convert_Raw_To_Private (X_Error_With_Atom);  

    procedure From_Raw is  
       new Convert_Raw_To_Private (X_Error_With_Nothing);  

    procedure From_Raw is  
       new Convert_Raw_To_Private (X_Error_With_Resource);  

    procedure From_Raw is  
       new Convert_Raw_To_Private (X_Error_With_Value);  

end Xlbip_Error_Converters;  

