with Xlbt_Context_Manager3;  

package Xlbt_Context_Manager2 is  
------------------------------------------------------------------------------  
-- X Library Context Manager - Extended User Interface  
--  
-- Xlbt_Context_Manager2 - Types dealing with Context Management  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1987 - 1989 by Digital Equipment Corporation, Maynard, Mass.  
-- Copyright 1987 - 1989 by Massachusetts Institute of Technology,  
--                          Cambridge, Massachusetts.  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of Digital, MIT, or Rational  
-- not be used in advertising or publicity pertaining to distribution of  
-- the software without specific, written prior permission.  
--  
-- Digital, MIT, and Rational disclaim all warranties with regard to this  
-- software, including all implied warranties of merchantability and fitness,  
-- in no event shall Digital, MIT, or Rational be liable for any special,  
-- indirect or consequential damages or any damages whatsoever resulting from  
-- loss of use, data or profits, whether in an action of contract, negligence  
-- or other tortious action, arising out of or in connection with the use or  
-- performance of this software.  
------------------------------------------------------------------------------  

--/ if OLD_CONTEXT_MANAGER then  
--
  
    package C3 renames Xlbt_Context_Manager3;  
 
------------------------------------------------------------------------------  
-- X_Context_Table_Entry - Context/Window Pair Cache  
------------------------------------------------------------------------------  
 
    subtype X_Context_Table_Entry_Rec is C3.X_Context_Table_Entry_Rec;  
    subtype X_Context_Table_Entry     is C3.X_Context_Table_Entry;  
 
    function "=" (A, B : X_Context_Table_Entry) return Boolean renames C3."=";  
 
    procedure Free_X_Context_Table_Entry  
                 (Ct_Entry : in out X_Context_Table_Entry)  
        renames C3.Free_X_Context_Table_Entry;  
 
------------------------------------------------------------------------------  
-- X_Context_Hash_Table - Context/Window Pair Cache  
------------------------------------------------------------------------------  
 
    subtype X_Context_Hash_Table is C3.X_Context_Hash_Table;  
    subtype X_Context_Hash_List  is C3.X_Context_Hash_List;  
 
    function "=" (A, B : X_Context_Hash_List) return Boolean renames C3."=";  
 
    procedure Free_X_Context_Hash_List (List : in out X_Context_Hash_List)  
        renames C3.Free_X_Context_Hash_List;  
 
    package Univ_X_Context_Hash_List renames C3.Univ_X_Context_Hash_List;  
 
--/ end if;  

end Xlbt_Context_Manager2;  

