with Xlbt_Extension3;  
with Xlbt_Extension4;  

package Xlbt_Extension2 is  
------------------------------------------------------------------------------  
-- X Library Extensions - Extended User Interface  
--  
-- Xlbt_Extension2 - Types dealing with extensions to the X Library and to  
-- the X Protocol.  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
    package E3 renames Xlbt_Extension3;  
    package E4 renames Xlbt_Extension4;  

------------------------------------------------------------------------------  
-- X_Ext_Codes - Extension Codes contains structures used by the extension  
--               mechanism.  
------------------------------------------------------------------------------  

    subtype X_Ext_Codes_Rec is E3.X_Ext_Codes_Rec;  

------------------------------------------------------------------------------  
-- X_Ext_Data - Extensions need a way to hang private data on some structures.  
------------------------------------------------------------------------------  

    subtype X_Ext_Data_Rec is E4.X_Ext_Data_Rec;  

------------------------------------------------------------------------------  
-- X_Extension - This structure is private to the library.  
------------------------------------------------------------------------------  

    subtype X_Extension_Rec is E3.X_Extension_Rec;  

end Xlbt_Extension2;  

