package Xlbt_Grab is  
------------------------------------------------------------------------------  
-- X Library Grab  
--  
-- Xlbt_Grab - Types associated with grabs  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
------------------------------------------------------------------------------  
-- X_Allow_Event_Mode  
------------------------------------------------------------------------------  

    type X_Allow_Event_Mode is (Async_Pointer,  
                                Sync_Pointer,  
                                Replay_Pointer,  
                                Async_Keyboard,  
                                Sync_Keyboard,  
                                Replay_Keyboard,  
                                Async_Both,  
                                Sync_Both);  

--/ if Length_Clauses then  
    for X_Allow_Event_Mode'Size use 8;  
--/ end if;  

------------------------------------------------------------------------------  
-- X_Grab_Mode - Grab_Pointer, Grab_Button, Grab_Keyboard, Grab_Key Modes  
------------------------------------------------------------------------------  

    type X_Grab_Mode is (Grab_Mode_Sync,  
                         Grab_Mode_Async);  

--/ if Length_Clauses then  
    for X_Grab_Mode'Size use 8;  
--/ end if;  

    None_X_Grab_Mode : constant X_Grab_Mode := X_Grab_Mode'Val (0);  

------------------------------------------------------------------------------  
-- X_Grab_Status  
------------------------------------------------------------------------------  

    type X_Grab_Status is (Grab_Success,  
                           Already_Grabbed,  
                           Grab_Invalid_Time,  
                           Grab_Not_Viewable,  
                           Grab_Frozen);  

--/ if Length_Clauses then  
    for X_Grab_Status'Size use 8;  
--/ end if;  

    None_X_Grab_Status : constant X_Grab_Status := X_Grab_Status'Val (0);  

end Xlbt_Grab;  

